Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Assemblée Générale Ordinaire de Borsalinux-fr de 2021

#1 10/06/2020 07:46:19

shnoulle
FreePoste Addict
Lieu : Roubaix
Inscription : 07/07/2006
Messages : 1 374
Site Web

dnf upgrade : suppression de paquet dépendant (commandline et copr)

Bonjour,

J'ai installé PlayOnlinux directement via la ligne de commande .
Pour l'installation :

# dnf copr enable sassam/wxPython
# dnf install http://rpm.playonlinux.com/fedora/yum/base/PlayOnLinux_4.3.4.rpm
Dernière vérification de l’expiration des métadonnées effectuée il y a 2:12:54 le mer. 10 juin 2020 05:36:10.
PlayOnLinux_4.3.4.rpm                                                                                                   1.2 MB/s | 3.0 MB     00:02    
Dépendances résolues.
========================================================================================================================================================
 Paquet                         Architecture         Version                         Dépôt                                                        Taille
========================================================================================================================================================
Installation:
 playonlinux                    noarch               4.3.4-fedora0                   @commandline                                                 3.0 M
Installation des dépendances:
 python2-wxpython               x86_64               3.0.2.0-26.fc32                 copr:copr.fedorainfracloud.org:sassam:wxPython               7.9 M

Résumé de la transaction
========================================================================================================================================================
Installer  2 Paquets

Taille totale  : 11 M
Taille totale des téléchargements : 7.9 M
Taille des paquets installés : 49 M
Voulez-vous continuer ? [o/N] : o
Téléchargement des paquets :
python2-wxpython-3.0.2.0-26.fc32.x86_64.rpm                                                                             1.2 MB/s | 7.9 MB     00:06    
--------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                   1.2 MB/s | 7.9 MB     00:06     
Test de la transaction
La vérification de la transaction a réussi.
Lancement de la transaction de test
Transaction de test réussie.
Exécution de la transaction
  Préparation           :                                                                                                                           1/1 
  Installation          : python2-wxpython-3.0.2.0-26.fc32.x86_64                                                                                   1/2 
  Installation          : playonlinux-4.3.4-fedora0.noarch                                                                                          2/2 
  Exécution du scriptlet: playonlinux-4.3.4-fedora0.noarch                                                                                          2/2 
  Vérification de       : python2-wxpython-3.0.2.0-26.fc32.x86_64                                                                                   1/2 
  Vérification de       : playonlinux-4.3.4-fedora0.noarch                                                                                          2/2 

Installé:
  playonlinux-4.3.4-fedora0.noarch                                        python2-wxpython-3.0.2.0-26.fc32.x86_64                                       

Terminé !

Cela fonctionne : je peux lancer playonlinux et les scripts que j’utilisai précédemment.

Mais dès que je veux faire un upgrade

# dnf upgrade
Dernière vérification de l’expiration des métadonnées effectuée il y a 2:13:56 le mer. 10 juin 2020 05:36:10.
Dépendances résolues.
========================================================================================================================================================
 Paquet                         Architecture         Version                        Dépôt                                                         Taille
========================================================================================================================================================
Supprimer des paquets dépendants:
 playonlinux                    noarch               4.3.4-fedora0                  @@commandline                                                 6.3 M
 python2-wxpython               x86_64               3.0.2.0-26.fc32                @copr:copr.fedorainfracloud.org:sassam:wxPython                42 M

Résumé de la transaction
========================================================================================================================================================
Supprimer  2 Paquets

Espace libéré : 49 M
Voulez-vous continuer ? [o/N] : n
Opération avortée.

Il veut me les désinstaller. Hier il y avais une mise à jour du kernel, donc j'ai désinstallé puis réinstallé.
Mais aujourd’hui : il veut juste me supprimer pol …

Ais je activé une option de dnf qui supprimerais les installation via la ligne de commande ?
Autre chose ?

Merci

Dernière modification par shnoulle (10/06/2020 07:52:27)


En train de lire FAQ - DOC

Hors ligne

#2 21/07/2020 16:53:22

RobWolx
Membre
Lieu : Alsace
Inscription : 04/10/2010
Messages : 157

Re : dnf upgrade : suppression de paquet dépendant (commandline et copr)

Bonjour,
Merci pour le post cela m'a permis de redémarrer PlayOnLinux que je n'avais pas encore réutilisé.
J'ai exactement le même déroulé que toi mais malheureusement aucune réponse à la question posée.

Hors ligne

#3 21/07/2020 17:12:44

Refuznik
Membre
Inscription : 31/01/2007
Messages : 7 833

Re : dnf upgrade : suppression de paquet dépendant (commandline et copr)

Alors c'est pas une super solution, désolé, n'utilisant pas POL mais ce dernier est dispos dans flathub ce qui résoudrait normalement les problèmes avec python 2.

Hors ligne

#4 22/07/2020 16:16:36

RobWolx
Membre
Lieu : Alsace
Inscription : 04/10/2010
Messages : 157

Re : dnf upgrade : suppression de paquet dépendant (commandline et copr)

Après avoir viré ce qui était installé, j'ai tenté le coup avec flathub. Cela m'installe Phoenicis PlayOnLinux qui, selon moi, n'offre pas les possibilités de l'original. J'utilise POL pour faire tourner la suite bureautique word, exel, powerpoint. Je ne trouve pas de moyen de l'installer avec l'alternative offerte par flathub.
Merci pour le tuyau.

Hors ligne

#5 22/07/2020 16:18:50

Refuznik
Membre
Inscription : 31/01/2007
Messages : 7 833

Re : dnf upgrade : suppression de paquet dépendant (commandline et copr)

RobWolx a écrit :

Après avoir viré ce qui était installé, j'ai tenté le coup avec flathub. Cela m'installe Phoenicis PlayOnLinux qui, selon moi, n'offre pas les possibilités de l'original. J'utilise POL pour faire tourner la suite bureautique word, exel, powerpoint. Je ne trouve pas de moyen de l'installer avec l'alternative offerte par flathub.
Merci pour le tuyau.

Mince, dommage.
Et je viens de vérifier sur ma 32, j'ai du python2 mais pas de python2-wxpython de dispos.
Si c'est pour du word, excel, etc... en passant par wine directement ? Je pense que la db de leur site est bien documenté pour installer et faire fonctionner la suite Office.

Dernière modification par Refuznik (22/07/2020 16:20:19)

Hors ligne

#6 22/07/2020 16:27:13

RobWolx
Membre
Lieu : Alsace
Inscription : 04/10/2010
Messages : 157

Re : dnf upgrade : suppression de paquet dépendant (commandline et copr)

C'est ce que je faisais il y a une dizaine d'année, avec de temps en temps des soucis dont POL m'avait soulagé. wine je suppose a évolué il faut que je retente le coup.

Hors ligne

#7 22/07/2020 16:50:50

RobWolx
Membre
Lieu : Alsace
Inscription : 04/10/2010
Messages : 157

Re : dnf upgrade : suppression de paquet dépendant (commandline et copr)

Précision, après avoir installé:
python2-wxpython-3.0.2.0-26.fc32.x86_64 qui manquait pour réinstaller POL j'ai retenté une installation du programme, réponse

  le fichier /usr/bin de l'installation de playonlinux-4.1.7-fedora0.noarch entre en conflit avec le fichier du paquet filesystem-3.14-2.fc32.x86_64

Dans l'état actuel des choses on va oublier POL

Hors ligne

#8 14/11/2020 17:39:31

RobWolx
Membre
Lieu : Alsace
Inscription : 04/10/2010
Messages : 157

Re : dnf upgrade : suppression de paquet dépendant (commandline et copr)

Apparemment il y aune solution:
https://ask.fedoraproject.org/t/how-to- … ra-32/9267

Voici les commandes à effectuer:
#rpm --import http://rpm.playonlinux.com/public.gpg
#dnf install http://rpm.playonlinux.com/playonlinux- … noarch.rpm
#dnf config-manager --save --setopt=playonlinux.gpgcheck=1
#dnf install https://dl.fedoraproject.org/pub/fedora … x86_64.rpm
#dnf install jq playonlinux.noarch python3-dnf-plugin-versionlock
#dnf versionlock playonlinux

Hors ligne

#9 18/11/2020 15:36:56

RobWolx
Membre
Lieu : Alsace
Inscription : 04/10/2010
Messages : 157

Re : dnf upgrade : suppression de paquet dépendant (commandline et copr)

sudo rpm --import http://rpm.playonlinux.com/public.gpg
sudo dnf install http://rpm.playonlinux.com/playonlinux-yum-4-1.noarch.rpm
sudo dnf config-manager --save --setopt=playonlinux.gpgcheck=1
sudo dnf install https://dl.fedoraproject.org/pub/fedora/linux/releases/31/Everything/x86_64/os/Packages/p/python2-wxpython-3.0.2.0-26.fc31.x86_64.rpm
sudo dnf install jq playonlinux.noarch python3-dnf-plugin-versionlock
sudo dnf versionlock playonlinux

Hors ligne

Pied de page des forums